{
  "name": "app",
  "version": "1.0.2",
  "private": true,
  "engines": {
    "node": ">=6",
    "npm": ">=3.8"
  },
  "dependencies": {
    "aws-sdk": "^2.93.0",
    "axios": "^0.16.1",
    "babel-polyfill": "^6.23.0",
    "classnames": "^2.2.5",
    "fastclick": "^1.0.6",
    "history": "^4.6.1",
    "immutable": "^3.8.1",
    "react": "^15.4.2",
    "react-bootstrap": "^0.31.2",
    "react-dom": "^15.4.2",
    "react-mdl": "^1.9.0",
    "react-redux": "5.0.5",
    "react-router": "^4.1.2",
    "react-router-redux": "^4.0.8",
    "redux": "^3.6.0",
    "redux-immutable-state-invariant": "^2.0.0",
    "redux-persist": "^4.8.3",
    "redux-thunk": "^2.2.0",
    "whatwg-fetch": "^2.0.3"
  },
  "devDependencies": {
    "assets-webpack-plugin": "^3.5.1",
    "autoprefixer": "^6.7.7",
    "babel-cli": "6.24.1",
    "babel-core": "6.24.1",
    "babel-eslint": "7.2.3",
    "babel-jest": "20.0.3",
    "babel-loader": "7.0.0",
    "babel-plugin-transform-runtime": "^6.23.0",
    "babel-register": "^6.24.0",
    "babel-runtime": "^6.23.0",
    "babel-plugin-transform-class-properties": "6.24.1",
    "babel-plugin-transform-react-constant-elements": "6.23.0",
    "babel-plugin-transform-react-remove-prop-types": "0.4.5",
    "babel-polyfill": "6.23.0",
    "babel-preset-latest": "6.24.1",
    "babel-preset-react": "6.24.1",
    "babel-preset-react-hmre": "1.1.1",
    "babel-preset-stage-1": "6.24.1",
    "browser-sync": "^2.18.8",
    "chai": "^4.0.0-canary.1",
    "connect-history-api-fallback": "^1.3.0",
    "css-loader": "^0.27.3",
    "ejs": "^2.5.6",
    "eslint": "^3.18.0",
    "eslint-config-airbnb": "^14.1.0",
    "eslint-plugin-import": "^2.2.0",
    "eslint-plugin-jsx-a11y": "^4.0.0",
    "eslint-plugin-react": "^6.10.2",
    "file-loader": "^0.10.1",
    "firebase-tools": "^3.5.0",
    "front-matter": "^2.1.2",
    "highlight.js": "^9.10.0",
    "immutable": "^3.8.1",
    "json-loader": "^0.5.4",
    "markdown-it": "^8.3.1",
    "mocha": "^3.2.0",
    "path-to-regexp": "^1.7.0",
    "pixrem": "^3.0.2",
    "pleeease-filters": "^3.0.1",
    "postcss": "^5.2.16",
    "postcss-calc": "^5.3.1",
    "postcss-color-function": "^3.0.0",
    "postcss-custom-media": "^5.0.1",
    "postcss-custom-properties": "^5.0.2",
    "postcss-custom-selectors": "^3.0.0",
    "postcss-flexbugs-fixes": "^2.1.0",
    "postcss-import": "^9.1.0",
    "postcss-loader": "^1.3.3",
    "postcss-media-minmax": "^2.1.2",
    "postcss-nesting": "^2.3.1",
    "postcss-selector-matches": "^2.0.5",
    "postcss-selector-not": "^2.0.0",
    "react-hot-loader": "^3.0.0-beta.2",
    "rimraf": "^2.6.1",
    "s3": "^4.4.0",
    "style-loader": "^0.14.1",
    "stylelint": "^7.9.0",
    "stylelint-config-standard": "^16.0.0",
    "url-loader": "^0.5.8",
    "webpack": "^2.2.1",
    "webpack-dev-middleware": "^1.10.1",
    "webpack-hot-middleware": "^2.17.1"
  },
  "babel": {
    "presets": [
      "latest",
      "stage-1",
      "react"
    ],
    "plugins": [
      "transform-runtime"
    ]
  },
  "eslintConfig": {
    "parser": "babel-eslint",
    "extends": "airbnb",
    "rules": {
      "react/jsx-filename-extension": "off",
      "react/require-default-props": "off",
      "import/no-extraneous-dependencies": "off"
    },
    "env": {
      "browser": true
    }
  },
  "stylelint": {
    "extends": "stylelint-config-standard",
    "rules": {
      "string-quotes": "single"
    }
  },
  "scripts": {
    "eslint": "eslint components src test tools postcss.config.js webpack.config.js",
    "stylelint": "stylelint \"components/**/*.css\" \"src/**/*.css\"",
    "lint": "npm run eslint && npm run stylelint",
    "test": "mocha --compilers js:babel-register",
    "test:watch": "mocha --compilers js:babel-register --reporter min --watch",
    "build": "node tools/build.js",
    "build:debug": "node tools/build.js --debug",
    "publish": "node tools/publish.js",
    "publish:debug": "node tools/publish.js --debug",
    "start": "node tools/run.js",
    "s3-upload": "node tools/s3-upload.js",
    "publish:webapp": "node tools/build.js && node tools/s3-upload.js"
  }
}
